.SUFFIXES: .txt .lua

all: Contribute.lua Controls.lua Credits.lua EndOfGame.lua GameLost.lua level_editor_help.lua StartOfGame.lua TakeoverInstructions.lua

.txt.lua:
	gawk --ctype=SJIS -f conv.awk $< > temp.txt
	gawk -v BINMODE=3 --ctype=ASCII -f tobin.awk temp.txt > $@
	rm -f temp.txt
